std::allocator< void > Class Reference
Utilities » Memory » Allocators

`#include <allocator.h>`

## Public Types

typedef const void * | const_pointer
typedef ptrdiff_t | difference_type
using | is_always_equal = true_type
typedef void * | pointer
using | propagate_on_container_move_assignment = true_type
typedef size_t | size_type
typedef void | value_type

## Detailed Description

allocator<void> specialization.

Definition at line 72 of file allocator.h.

## Member Typedef Documentation

## const_pointer

typedef const void* std::allocator< void >::const_pointer

Definition at line 82 of file allocator.h.

## difference_type

typedef ptrdiff_t std::allocator< void >::difference_type

Definition at line 77 of file allocator.h.

## is_always_equal

using std::allocator< void >::is_always_equal = true_type

Definition at line 94 of file allocator.h.

## pointer

typedef void* std::allocator< void >::pointer

Definition at line 81 of file allocator.h.

## propagate_on_container_move_assignment

using std::allocator< void >::propagate_on_container_move_assignment = true_type

Definition at line 92 of file allocator.h.

## size_type

typedef size_t std::allocator< void >::size_type

Definition at line 76 of file allocator.h.

## value_type

typedef void std::allocator< void >::value_type

Definition at line 75 of file allocator.h.

The documentation for this class was generated from the following file:

- allocator.h